Employees
Create leave type
Path Parameters
employee_id*integer
Format
int64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/public/v3/employees/0/leave_types" \ -H "Content-Type: application/json" \ -d '{ "leave_type_id": 0, "leave_type_policy_id": 0, "effective_on": "2019-08-24" }'{ "data": { "id": 0, "effective_on": "2019-08-24", "balance": 0.1, "leave_type": { "id": 0, "name": "string" }, "leave_type_policy": { "id": 0, "name": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}